Bug 808070 - Ad-hoc subprocess: the completion condition is limited only to: getActivityInstanceAttribute("numberOfActiveInstances") == 0
Ad-hoc subprocess: the completion condition is limited only to: getActivityIn...
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Kris Verlaenen
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 09:32 EDT by Radovan Synek
Modified: 2012-11-04 19:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using ad-hoc sub-processes the completion condition is limited only to: getActivityInstanceAttribute("numberOfActiveInstances") == 0, when the number of active instances differs, the ad-hoc subprocess does not end.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2012-03-29 09:32:48 EDT
Even when only the number of active instances is different (for example: getActivityInstanceAttribute("numberOfActiveInstances") == 1) and there is
one active task inside the subprocess, the ad-hoc subprocess does not end.

The completion condition works only when it is exactly as stated above in summary (so when there is no active task inside the subprocess, then the subprocess ends).

See the pull request: https://github.com/droolsjbpm/jbpm/pull/56,
commit: https://github.com/rsynek/jbpm/commit/7e1fe98179268865f70ef7c37aa299a7ca02d81c for more information.
Comment 1 lcarlon 2012-05-30 20:04:58 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using Ad-hoc subprocesses the completion condition is limited only to: getActivityInstanceAttribute("numberOfActiveInstances") == 0, when the number of active instances differs, the ad-hoc subprocess does not end.

Note You need to log in before you can comment on or make changes to this bug.